6.0.0-git
2019-07-15

[#14584] Contact addresses import incorrectly from export file
Summary Contact addresses import incorrectly from export file
Queue Turba
Queue Version 4.2.14
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester chris (at) theduncans (dot) us
Created 2017-02-20 (875 days ago)
Due
Updated 2017-10-20 (633 days ago)
Assigned 2017-03-16 (851 days ago)
Resolved 2017-03-16 (851 days ago)
Milestone
Patch No

History
2017-10-20 20:34:53 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3b6c2fd974bbdb724b02534e9aeb5cc2da98d09a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu, 16 Mar 2017 13:05:31 -0400

Bug: 14584 Fix importing vCard "LABEL" fields.

  M config/backends.php

https://github.com/horde/turba/commit/3b6c2fd974bbdb724b02534e9aeb5cc2da98d09a
2017-03-16 17:06:33 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2017-03-16 17:06:18 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit ccfb7224bbd587cd68a7153b200372cb97b8188d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Mar 16 13:03:41 2017 -0400

     Bug: 14584 Fix importing vCard "LABEL" fields.

  turba/config/backends.php | 27 ++++++++++++++++++++++++---
  1 file changed, 24 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/ccfb7224bbd587cd68a7153b200372cb97b8188d
2017-03-16 17:05:00 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit c25a08b1264807d2390b1c20b4941054b995061d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Mar 16 13:03:41 2017 -0400

     Bug: 14584 Fix importing vCard "LABEL" fields.

  turba/config/backends.php | 27 ++++++++++++++++++++++++---
  1 file changed, 24 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/c25a08b1264807d2390b1c20b4941054b995061d
2017-03-16 16:17:52 Michael Rubinsky Comment #3 Reply to this comment
The problem is the way we specify the format for the 
[home|work|other]Address fields. sscanf() interprets ANY white space 
as equivalent to any other. So, e.g.,
sscanf("123 Main St\nSomeTown", "%s\n%s"); splits after the "123".

2017-03-16 14:49:24 Michael Rubinsky Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Confirmed.
2017-02-20 15:21:34 chris (at) theduncans (dot) us Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Contact addresses import incorrectly from export file
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
I exported my contacts to vCard file format and immediately 
re-imported from that file, choosing to overwrite the standard address 
book without editing the file at all. The old contact would have had a 
full address filled out, but the new contact (again, unchanged) only 
imported the street number into street, and the first word of the 
street name into city. It appears to be the LABEL parameter messing 
things up, because removing it allowed that contact to have their 
address imported correctly. Below is a sample from the export with 
sensitive info changed:

LABEL;HOME;ENCODING=QUOTED-PRINTABLE;CHARSET=UTF-8:123 Main 
Street=0ANew York, NY 10001
ADR;HOME:;;123 Main Street;New York; NY;10001;United States

Saved Queries